# -*- coding: utf-8; -*-
"""
Web Menus
"""

from __future__ import unicode_literals, absolute_import


def simple_menus(request):
    url = request.route_url

    menus = [
        {
            'title': "Time Clock",
            'type': 'menu',
            'items': [
                {
                    'title': "Personal Schedule",
                    'url': url('schedule.employee'),
                    'perm': 'schedule.view',
                },
                {
                    'title': "Full Schedule",
                    'url': url('schedule'),
                    'perm': 'schedule.viewall',
                },
                {
                    'title': "Edit Schedule",
                    'url': url('schedule.edit'),
                    'perm': 'schedule.edit',
                },
                {
                    'title': "Raw Scheduled Shifts",
                    'url': url('scheduledshifts'),
                    'perm': 'scheduledshifts.list',
                },
            ],
        },
        {
            'title': "Products",
            'type': 'menu',
            'items': [
                {
                    'title': "Products",
                    'url': url('products'),
                    'perm': 'products.list',
                },
                {
                    'title': "Vendors",
                    'url': url('vendors'),
                    'perm': 'vendors.list',
                },
                {
                    'title': "Departments",
                    'url': url('departments'),
                    'perm': 'departments.list',
                },
                {
                    'title': "Subdepartments",
                    'url': url('subdepartments'),
                    'perm': 'subdepartments.list',
                },
                {
                    'title': "Brands",
                    'url': url('brands'),
                    'perm': 'brands.list',
                },
                {
                    'title': "Families",
                    'url': url('families'),
                    'perm': 'families.list',
                },
                {
                    'title': "Report Codes",
                    'url': url('reportcodes'),
                    'perm': 'reportcodes.list',
                },
            ],
        },
        {
            'title': "People",
            'type': 'menu',
            'items': [
                {
                    'title': "All People",
                    'url': url('people'),
                    'perm': 'people.list',
                },
                {
                    'title': "Customers",
                    'url': url('customers'),
                    'perm': 'customers.list',
                },
                {
                    'title': "Employees",
                    'url': url('employees'),
                    'perm': 'employees.list',
                },
            ],
        },
        {
            'title': "CORE-POS",
            'type': 'menu',
            'items': [
                {
                    'title': "Departments",
                    'url': url('corepos.departments'),
                    'perm': 'corepos.departments.list',
                },
                {
                    'title': "Subdepartments",
                    'url': url('corepos.subdepartments'),
                    'perm': 'corepos.subdepartments.list',
                },
                {
                    'title': "Vendors",
                    'url': url('corepos.vendors'),
                    'perm': 'corepos.vendors.list',
                },
                {
                    'title': "Products",
                    'url': url('corepos.products'),
                    'perm': 'corepos.products.list',
                },
                {
                    'title': "Customers",
                    'url': url('corepos.customers'),
                    'perm': 'corepos.customers.list',
                },
                {
                    'title': "Member Types",
                    'url': url('corepos.member_types'),
                    'perm': 'corepos.member_types.list',
                },
                {
                    'title': "Members",
                    'url': url('corepos.members'),
                    'perm': 'corepos.members.list',
                },
                {
                    'title': "Employees",
                    'url': url('corepos.employees'),
                    'perm': 'corepos.employees.list',
                },
                {
                    'title': "Transaction Details",
                    'url': url('corepos.transaction_details'),
                    'perm': 'corepos.transaction_details.list',
                },
            ],
        },
        {
            'title': "Batches",
            'type': 'menu',
            'items': [
                {
                    'title': "Handheld",
                    'url': url('batch.handheld'),
                    'perm': 'batch.handheld.list',
                },
                {
                    'title': "Inventory",
                    'url': url('batch.inventory'),
                    'perm': 'batch.inventory.list',
                },
                {
                    'title': "Import / Export",
                    'url': url('batch.importer'),
                    'perm': 'batch.importer.list',
                },
            ],
        },
        {
            'title': "TempMon",
            'type': 'menu',
            'items': [
                {
                    'title': "Clients",
                    'url': url('tempmon.clients'),
                    'perm': 'tempmon.clients.list',
                },
                {
                    'title': "Probes",
                    'url': url('tempmon.probes'),
                    'perm': 'tempmon.probes.list',
                },
                {
                    'title': "Readings",
                    'url': url('tempmon.readings'),
                    'perm': 'tempmon.readings.list',
                },
            ],
        },
        {
            'title': "Admin",
            'type': 'menu',
            'items': [
                {
                    'title': "Stores",
                    'url': url('stores'),
                    'perm': 'stores.list',
                },
                {
                    'title': "Users",
                    'url': url('users'),
                    'perm': 'users.list',
                },
                {
                    'title': "User Events",
                    'url': url('userevents'),
                    'perm': 'userevents.list',
                },
                {
                    'title': "Roles",
                    'url': url('roles'),
                    'perm': 'roles.list',
                },
                {'type': 'sep'},
                {
                    'title': "App Settings",
                    'url': url('appsettings'),
                    'perm': 'settings.list',
                },
                {
                    'title': "Email Settings",
                    'url': url('emailprofiles'),
                    'perm': 'emailprofiles.list',
                },
                {
                    'title': "Email Attempts",
                    'url': url('email_attempts'),
                    'perm': 'email_attempts.list',
                },
                {
                    'title': "Raw Settings",
                    'url': url('settings'),
                    'perm': 'settings.list',
                },
                {'type': 'sep'},
                {
                    'title': "DataSync Changes",
                    'url': url('datasyncchanges'),
                    'perm': 'datasync.list',
                },
                {
                    'title': "Tables",
                    'url': url('tables'),
                    'perm': 'tables.list',
                },
                {
                    'title': "Rattail Demo Upgrades",
                    'url': url('upgrades'),
                    'perm': 'upgrades.list',
                },
            ],
        },
    ]

    return menus
